Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 592413 - rdesktop-1.6.0-7.fc12.x86_64 Smart Card Login Issue
rdesktop-1.6.0-7.fc12.x86_64 Smart Card Login Issue
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: rdesktop (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-14 15:51 EDT by dosboss64
Modified: 2014-06-18 05:12 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 09:42:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description dosboss64 2010-05-14 15:51:38 EDT
Description of problem:
rdesktop-1.6.0-7.fc12.x86_64 64-bit client attempt to login on Windows Terminal Services (Windows 2003) using a smart card results in an error.
The error in appears in a pop-up dialog window on the Windows server in the rdesktop client window.  The error reads "The system could not log you on. An error occurred trying to use this smart card. You can find further details in the event log. Please report this error to the system administrator."
This error does not occur with the 32-bit version of rdesktop (rdesktop-1.6.0-7.fc12.i686).

Version-Release number of selected component (if applicable):
rdesktop-1.6.0-7.fc12.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Use a smart card and reader recognized by the Fedora system and the Windows domain/server you are logging in to.
2. Insert the smart card into the reader.
3. Start the rdesktop 64-bit client connection: rdesktop -u <login_username> -r scard <IP_address_of_server>
4. In the rdesktop client window, the server will ask for the PIN of the smart card.  Type in the correct PIN.
  
Actual results:
The Windows server will show the error mentioned above in a dialog box.

Expected results:
The Windows server will allow login after verifying the PIN through the smart card reader.

Additional info:
I tested the 32-bit rdesktop version separately on both on the same 64-bit Fedora 12 system that got the error, and on a fully 32-bit Fedora 12 system.
To test on the 64-bit system, I uninstalled rdesktop, added a yum repo for i386 Fedora 12, and installed the 32-bit version of rdesktop (rdesktop-1.6.0-7.fc12.i686).  In resolving dependencies, pcsc-lite-libs-1.5.2-3.fc12.i686 was also installed by yum.
The 32-bit version of rdesktop logs in to the Windows system without error on both the 64-bit and 32-bit Fedora 12 systems.
I have no access to the administration functions of the Windows server/domain I am logging in to, so I cannot pull Windows event logs.
When the 64-bit version of rdesktop is used, the card reader can be seen being accessed after entering the PIN and before the error.
Note on the command string used: Through trial and error I found that the '-u <login_username>' portion of the command is necessary for access to this particular Windows setup - it will not accept the certificate alone.
Comment 1 dosboss64 2010-05-19 09:28:26 EDT
I have access to and have (previously) tested the above scenario on RHEL 5.4 and RHEL 5.5 64-bit workstation installs, and it works fine.  The version of rdesktop on the RHEL 5.5 system is rdesktop-1.6.0-3.x86_64.  I no longer have a RHEL 5.4 system to test on (due to upgrades).
Comment 2 Bug Zapper 2010-11-03 10:52:38 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Dominik 'Rathann' Mierzejewski 2010-11-20 14:20:33 EST
Could you verify if this is still reproducible on F-13? It's unlikely to get fixed in F-12 at this point.
Comment 4 Bug Zapper 2010-12-03 09:42:08 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 eric@christensenplace.us 2010-12-03 20:45:42 EST
Just looked at F14 and it appears to be fixed.  Thank you!

Note You need to log in before you can comment on or make changes to this bug.